Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_AV_Flow_Handler Class Reference

`#include <Transport.h>`

Inheritance diagram for TAO_AV_Flow_Handler

[legend]
Collaboration diagram for TAO_AV_Flow_Handler:

[legend]
List of all members.

## Public Methods
| TAO_AV_Flow_Handler (void)
| Constructor.
virtual int | start (TAO_FlowSpec_Entry::Role role)
| Start/stop the flow handler.
virtual int | stop (TAO_FlowSpec_Entry::Role role)
virtual int | schedule_timer (void)
| Schedule timer. Uses the get_timeout method on the callback.
TAO_AV_Transport* | transport (void)
| get the transport.
TAO_AV_Protocol_Object* | protocol_object (void)
| set/get protocol_object.
void | protocol_object (TAO_AV_Protocol_Object *protocol_object)
void | callback (TAO_AV_Callback *callback)
| set the callback.
int | handle_timeout (const ACE_Time_Value &tv, const void *arg = 0)
| Handle timeout. called from reactor.
virtual int | set_remote_address (ACE_Addr *address)
| set the remote address.
virtual ACE_Event_Handler* | event_handler (void) = 0
| get the underlying event handler. To be overridden by the derived clases.
virtual int | change_qos (AVStreams::QoS)
## Protected Attributes
TAO_AV_Transport* | transport_
TAO_AV_Callback* | callback_
TAO_AV_Protocol_Object* | protocol_object_
long | timer_id_
ACE_Reactor* | reactor_
void* | timeout_arg_

## Constructor & Destructor Documentation

TAO_AV_Flow_Handler::TAO_AV_Flow_Handler ( | void )

| Constructor.

## Member Function Documentation

void TAO_AV_Flow_Handler::callback ( | TAO_AV_Callback * callback )

| set the callback.

int TAO_AV_Flow_Handler::change_qos ( | AVStreams::QoS new_qos )`[virtual]`

| Reimplemented in TAO_AV_UDP_QoS_Flow_Handler.

ACE_Event_Handler * TAO_AV_Flow_Handler::event_handler ( | void )`[pure virtual]`

| get the underlying event handler. To be overridden by the derived clases. Reimplemented in TAO_AV_UDP_MCast_Flow_Handler, TAO_AV_UDP_QoS_Flow_Handler, TAO_AV_TCP_Flow_Handler, and TAO_AV_UDP_Flow_Handler.

int TAO_AV_Flow_Handler::handle_timeout ( | const ACE_Time_Value & tv,
| const void * arg = 0 )

| Handle timeout. called from reactor. Reimplemented in TAO_AV_UDP_MCast_Flow_Handler, TAO_AV_UDP_QoS_Flow_Handler, TAO_AV_TCP_Flow_Handler, and TAO_AV_UDP_Flow_Handler.

void TAO_AV_Flow_Handler::protocol_object ( | TAO_AV_Protocol_Object * protocol_object )

TAO_AV_Protocol_Object * TAO_AV_Flow_Handler::protocol_object ( | void )

| set/get protocol_object.

int TAO_AV_Flow_Handler::schedule_timer ( | void )`[virtual]`

| Schedule timer. Uses the get_timeout method on the callback.

int TAO_AV_Flow_Handler::set_remote_address ( | ACE_Addr * address )`[virtual]`

| set the remote address. Reimplemented in TAO_AV_UDP_QoS_Flow_Handler, and TAO_AV_UDP_Flow_Handler.

int TAO_AV_Flow_Handler::start ( | TAO_FlowSpec_Entry::Role role )`[virtual]`

| Start/stop the flow handler.

int TAO_AV_Flow_Handler::stop ( | TAO_FlowSpec_Entry::Role role )`[virtual]`

TAO_AV_Transport * TAO_AV_Flow_Handler::transport ( | void )

| get the transport. Reimplemented in TAO_AV_UDP_QoS_Flow_Handler, TAO_AV_TCP_Flow_Handler, and TAO_AV_UDP_Flow_Handler.

## Member Data Documentation

TAO_AV_Callback * TAO_AV_Flow_Handler::callback_`[protected]`

TAO_AV_Protocol_Object * TAO_AV_Flow_Handler::protocol_object_`[protected]`

ACE_Reactor * TAO_AV_Flow_Handler::reactor_`[protected]`

void * TAO_AV_Flow_Handler::timeout_arg_`[protected]`

long TAO_AV_Flow_Handler::timer_id_`[protected]`

TAO_AV_Transport * TAO_AV_Flow_Handler::transport_`[protected]`

The documentation for this class was generated from the following files:

- Transport.h
- Transport.cpp